Name:          zint
Version:       2.14.0
Release:       1mamba
Summary:       A suite of programs to allow easy encoding of data in barcode standards
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/zint
Source:        https://sourceforge.net/projects/zint/files/zint/%{version}/zint-%{version}-src.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5Widgets
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Zint is a suite of programs to allow easy encoding of data in any of the wide range of public domain barcode standards and to allow integration of this capability into your own programs.
Zint is able to encode data in the following formats:
Code 11, Standard Code 2 of 5, IATA Code 2 of 5, Industrial Code 2 of 5, Interleaved Code 2 of 5, Code 2 of 5 Data Logic, ITF-14, Deutche Post Leitcode, Deutche Post Identcode, UPC-A, UPC-E, EAN-2, EAN-5, EAN-8, EAN-13, UK Plessey, MSI Plessey, Telepen Alpha, Telepen Numeric, Code 39, Extended Code 39, Code 93, PZN, Code 23, LOGMARS, Codabar, Pharmacode, Code 128, EAN-128, NVE-18, Code 16k, PDF417, MicroPDF417, Two-Track Pharmacode, PostNet, PLANET, Australia Post 4-State Symbols, RM4SCC, USPS OneCode, GS1 DataBar, DataBar-14, DataBar Limited, DataBar Extended, DataBar Stacked, Composite Symbology, Data Matrix, QR Code, Maxicode, Aztec Code, EAN-13, Micro QR, Korea Post Barcode, HIBC Code 128, HIBC Code 39, HIBC Data Matrix, HIBC PDF417, HIBC MicroPDF417, HIBC QR Code, HIBC Aztec Code, Japanese Postal Code, Code 49, Channel Code, Code One, Grid Matrix, FIM and Flattermarken.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n zint-%{version}-src

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -D -m0644 zint-qt.desktop %{buildroot}%{_datadir}/applications/zint-qt.desktop
install -D -m0644 frontend_qt/res/zint-qt.ico %{buildroot}%{_datadir}/pixmaps/zint-qt.ico

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/zint
%{_bindir}/zint-qt
%{_datadir}/applications/zint-qt.desktop
%{_datadir}/pixmaps/zint-qt.ico
%{_mandir}/man1/zint.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libzint.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/qzint.h
%{_includedir}/zint.h
%{_libdir}/libQZint.a
%{_libdir}/libzint.so
%dir %{_datadir}/zint
%{_datadir}/zint/zint*.cmake

%changelog
* Fri Feb 07 2025 Automatic Build System <autodist@openmamba.org> 2.14.0-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 2.13.0-1mamba
- automatic version update by autodist

* Fri Dec 23 2022 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Fri Sep 02 2022 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-1mamba
- update to 2.9.1

* Tue May 07 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.3-1mamba
- update to 2.6.3

* Thu Aug 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1mamba
- package created by silvan using the webbuild interface
